Follow us on Twitter X-Cart on Facebook Wiki
Shopping cart software Solutions for online shops and malls

EWD - PHP 5.3 - anyone else having problems?
 
Reply
   X-Cart forums > Forum archive > Using X-Cart in my project > Need advice
 
Thread Tools
  #1  
Old 05-30-2013, 01:29 PM
 
ITVV ITVV is online now
 

X-Adept
  
Join Date: Nov 2006
Location: UK
Posts: 913
 

Thumbs down EWD - PHP 5.3 - anyone else having problems?

Hi gang,

Always been a great admirer (and paying for it!) of EWD.

However, after a nightmare day - not been able to login to admin, then helpdesk not working (all did till today - after nearly three and a half years) I am told that "If your cart is too old, it may also need patched to accommodate this change as well" - so all my fault then?

When I went to bed last night it was all great - no problems - happy as a lamb !

So now it's all messed up - and who is to blame - me - I never did anything - honest - no update - no code changes - ZIP.

So my question is - is anyone else having issues?

For the record I have Kayako helpdesk and x-cart 4.1.7 (Yes old but worked until today - FFS).

Very, Very disappointed - shame on you EWD for making it your customers problem -

Nick
__________________
X-Cart Pro 4.6.6 Active and working great!
X-Cart Pro 4.1.7 Retired after 9 years of first class service

Server: CloudLinux (LiteSpeed)
Apache: 2.4.27
PHP: 7.0.21
MySQL: 10.0.31-MariaDB-cll-lve
Arch: x86_64
Reply With Quote
  #2  
Old 05-30-2013, 01:42 PM
 
Emerson Emerson is offline
 

X-Man
  
Join Date: Mar 2004
Location: Atlanta, GA
Posts: 2,209
 

Default Re: EWD - PHP 5.3 - anyone else having problems?

Nick,

We have been advertising that PHP is end of life for a couple of years now and have warned customers time and time again about this.
If your site is having issues due to compatibility issues with PHP 5.3 this is not a reflection of our services.
All you have to do is patch your non-working scripts to make them compatible with PHP 5.3 and you site will work again.

I am sorry you feel this is bad on our part however as mentioned above we have made announcements for years now and have given everyone a LOT of time to get their scripts up to date.
__________________
Emerson
Total Server Solutions LLC- Quality X-Cart Hosting
Recommended X-Cart Hosting Provider - US and UK servers
Does your host backup your site? We do EVERY HOUR!!!
Shared Hosting | Managed Cloud | Dedicated Servers
Reply With Quote

The following user thanks Emerson for this useful post:
rocky (06-05-2013)
  #3  
Old 05-30-2013, 02:09 PM
 
ITVV ITVV is online now
 

X-Adept
  
Join Date: Nov 2006
Location: UK
Posts: 913
 

Default Re: EWD - PHP 5.3 - anyone else having problems?

Emerson,

So, it is your customers fault?

You can not accommodate your customers hosting wishes?

We (the paying customers) are wrong?

What a terrible customer relations statement to make: -

So just too recap - my business was all fine until you decided that "We have been advertising that PHP is end of life for a couple of years"? This statement will alarm a LOT of your customers!

Great customer service - not - me thinks?

Get off the fence Emerson and address your customers needs - disgraceful example of customer service - you should hang your head in shame EWD.

I have never ever had such a disgraceful, reply from a company never mind its CEO.

Nick

Quote:
Originally Posted by Emerson
Nick,

We have been advertising that PHP is end of life for a couple of years now and have warned customers time and time again about this.
If your site is having issues due to compatibility issues with PHP 5.3 this is not a reflection of our services.
All you have to do is patch your non-working scripts to make them compatible with PHP 5.3 and you site will work again.

I am sorry you feel this is bad on our part however as mentioned above we have made announcements for years now and have given everyone a LOT of time to get their scripts up to date.
__________________
X-Cart Pro 4.6.6 Active and working great!
X-Cart Pro 4.1.7 Retired after 9 years of first class service

Server: CloudLinux (LiteSpeed)
Apache: 2.4.27
PHP: 7.0.21
MySQL: 10.0.31-MariaDB-cll-lve
Arch: x86_64
Reply With Quote
  #4  
Old 05-30-2013, 02:39 PM
 
Emerson Emerson is offline
 

X-Man
  
Join Date: Mar 2004
Location: Atlanta, GA
Posts: 2,209
 

Default Re: EWD - PHP 5.3 - anyone else having problems?

Nick,

We have done no wrong here. Yes PHP 5.2 has been EOL since Jan 2011( see http://php.net/eol.php) and we have kept servers running that outdated version of PHP to give everyone plenty of time(2 1/2 years) to update their scripts. If you can not see that as a good thing I am not sure what will.
Again, we have given everyone plenty of notices either via this forum or direct emailing.


I have reviewed your ticket and the only thing that seems to not be working is your helpdesk which has not been updated since 2009. I am sure if you contact kayako they should be able to give you some kind of patch to make your script compatible with PHP 5.3
__________________
Emerson
Total Server Solutions LLC- Quality X-Cart Hosting
Recommended X-Cart Hosting Provider - US and UK servers
Does your host backup your site? We do EVERY HOUR!!!
Shared Hosting | Managed Cloud | Dedicated Servers
Reply With Quote
  #5  
Old 05-30-2013, 04:40 PM
 
carpeperdiem carpeperdiem is offline
 

X-Guru
  
Join Date: Jul 2006
Location: New York City, USA
Posts: 5,399
 

Default Re: EWD - PHP 5.3 - anyone else having problems?

Nick,

You can probably patch x-cart if you follow my thread below. I was able to patch 4.1.9 without too much difficulty...

http://forum.x-cart.com/showthread.php?t=65111

In fairness to EWD and other hosts -- php 5.2 has been EOL for quite a while -- and if EWD sent warning(s) that they were migrating their shared servers to php 5.3, ignoring the warning is kinda foolish.

FYI, php 5.3 is already outdated, and once you get your store working in php 5.3, you should probably try php 5.4 and see what happens. It may just work.

Good luck.

J
__________________
xcart 4.5.4 gold+ w/x-payments 1.0.6; xcart gold 4.4.4
Reply With Quote

The following user thanks carpeperdiem for this useful post:
rocky (06-05-2013)
  #6  
Old 06-07-2013, 08:22 AM
 
jillsybte jillsybte is offline
 

eXpert
  
Join Date: Jun 2006
Location: New York, USA
Posts: 389
 

Default Re: EWD - PHP 5.3 - anyone else having problems?

Emerson, when are you doing the upgrades to PHP 5.3? I know you have sent email warnings in the past, but the last time I asked about this issue (late Feb/early Mar), I was told it would still be awhile. I patched my store in early Feb because I had received an email that the upgrade would take place at the end of Feb.

I have a patched version of my store waiting to be tested, but I do hope I will get a warning at least a day or so in advance when you do upgrade my specific server. When I run phpinfo(), I see that my server is still running 5.2.17. When I receive word that the upgrade is actually happening, I plan to close my live store, test the patched version, and hopefully reopen that version soon thereafter. I understand that the upgrade is necessary and I agree that you have warned your customers, but I would like a specific date to work with rather than just getting up one morning to find my store is down. I would like the chance to close it just before the upgrade so my customers don't see error messages, etc.
__________________
X-Cart Gold 4.1.8 (Live)
BCSE Shipping Estimator for FLC Mod
BCSE Shipping Methods per Product Mod
BCSE Customer Review Management Mod
BCSE Catalog Order Form Mod
X-Cart Gold 4.5.2 (Building/Testing)
USA
Reply With Quote
  #7  
Old 06-07-2013, 08:27 AM
 
Emerson Emerson is offline
 

X-Man
  
Join Date: Mar 2004
Location: Atlanta, GA
Posts: 2,209
 

Default Re: EWD - PHP 5.3 - anyone else having problems?

if you would like to open a ticket at our helpdesk we can work with you there.

thank you
__________________
Emerson
Total Server Solutions LLC- Quality X-Cart Hosting
Recommended X-Cart Hosting Provider - US and UK servers
Does your host backup your site? We do EVERY HOUR!!!
Shared Hosting | Managed Cloud | Dedicated Servers
Reply With Quote

The following user thanks Emerson for this useful post:
jillsybte (06-07-2013)
  #8  
Old 06-20-2013, 11:11 AM
 
Lloyds Lloyds is offline
 

Advanced Member
  
Join Date: Apr 2013
Posts: 70
 

Default Re: EWD - PHP 5.3 - anyone else having problems?

One of my other sites just blew up because of my host upgrading to 5.3.

Where can I get a patch for 4.3? Site is down.
__________________
4.7.5 - lloydsofindiana.com

5.3.2.7 - Customprintproducts.com

Lloyds of Indiana
Binding Machines, Binding Supplies, Laminators, UV Coating
Reply With Quote
  #9  
Old 06-20-2013, 11:17 AM
  cflsystems's Avatar 
cflsystems cflsystems is offline
 

Veteran
  
Join Date: Apr 2007
Posts: 13,532
 

Default Re: EWD - PHP 5.3 - anyone else having problems?

http://forum.x-cart.com/showthread.php?p=285270#post285270
__________________
Steve Stoyanov
CFLSystems.com
Web Development
Reply With Quote
Reply
   X-Cart forums > Forum archive > Using X-Cart in my project > Need advice


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -8. The time now is 09:59 PM.

   

 
X-Cart forums © 2001-2018